﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.WorkEngineering.WebApi.Models.AGV.Request
{
    public class CopperLineAgvTaskStockOutToIWmsRequest
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string matCode { get; set; }
        /// <summary>
        /// 工作站编号(机台号、立库点位编号)
        /// </summary>
        public string wbCode { get; set; }
        /// <summary>
        /// 空/满工字轮入库标记(空工字轮：0,满工字轮：1,半工字轮：2)
        /// </summary>
        public string inSpoolFull { get; set; }
        /// <summary>
        /// 取满补空标记
        /// </summary>
        public bool getOutEmpty { get; set; }
        /// <summary>
        /// 湿拉上线标记
        /// </summary>
        public bool wetInto { get; set; }
        /// <summary>
        /// 湿拉特殊上线标记
        /// </summary>
        public bool wetIntoSpec { get; set; }
        /// <summary>
        /// 湿拉退料入库标记
        /// </summary>
        public bool wetIntoReturn { get; set; }
        /// <summary>
        /// 湿拉特殊上线点位号
        /// </summary>
        public string wetSpecWbCode { get; set; }
        /// <summary>
        /// 改手盘标记
        /// </summary>
        public string isSurplus { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        public string isRework { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string matNo { get; set; }
        /// <summary>
        /// RFID号
        /// </summary>
        public string spoolNo { get; set; }
        /// <summary>
        /// 质量状态标记
        /// </summary>
        public string gradeCode { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        public string matFast { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public string orderProcessLenOut { get; set; }
        /// <summary>
        /// 任务号
        /// </summary>
        public string taskNo { get; set; }
        /// <summary>
        /// 退料原因
        /// </summary>
        public string returnDesc { get; set; }
        /// <summary>
        /// 是否锁定
        /// </summary>
        public string lockFlag { get; set; }
    }
}
