﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WorkEngineering.WebApi.Models.WMS.Request
{
    /// <summary>
    /// 分配货位请求实体
    /// </summary>
    public class ApplyStockInLocRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskNum { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public int TunnelNum { get; set; }

        /// <summary>
        /// 取货地点设备编号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string PickUpEquipmentNo { get; set; }
    }
}
