﻿using System;

namespace WCS.Entity
{
    /// <summary>
    /// 协议数据抽象类，所有的设备具体协议信息都需继承该类
    /// </summary>
    public abstract class WCS_PROTOCOLDATA
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public string DEVICECOD { get; set; }

        /// <summary>
        /// 确认时间
        /// </summary>
        public DateTime FRAME { get; set; }

        /// <summary>
        /// 最后更新
        /// </summary>
        public bool ISLAST { get; set; }

        /// <summary>
        /// WCS版本号
        /// </summary>
        public int WCSVERSION { get; set; }
    }
}
